Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001871TestLinkRequirement Managementpublic2008-11-14 00:532010-08-31 20:29
Reportergeraud 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.9 Beta 5 
Summary0001871: import/export exigence
Descriptionin testlink 1.8 RC1 it is impossible to import or export requirement.
It is very important for win time.

If you look SaloméTMF, it is possible to import tests and requirement with the same file (excel). I think it is a good idea.
TagsRequirements, Testlink 1.8 RC1
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0004617)
fman (administrator)
2008-11-14 02:39
edited on: 2008-11-14 02:41

1. You are absoluty wrong, TL can import and export Requirements.
   have you enable requirement management on your test project?

2. TL have two different file format for importing test cases and requirements
   see file formats document (PDF) present on you tl installation.

(0004624)
geraud (reporter)
2008-11-14 16:14

sorry, it is possible to import specification and not globals requirements for a project.
If it possible to import all project's requirements , what is the solution to import in once time or where is the parameter ?
(0004625)
geraud (reporter)
2008-11-14 16:24

Sorry again, for the requirements import, but cut requirements for import is not a fine solution, is not it ?
But an important information can not import with test or requirements, it is the link between this notions.
Conclusion, it is not possible to import tests and requirements.
(0004626)
fman (administrator)
2008-11-14 16:52

>>> Sorry again, for the requirements import, but cut requirements for import is not a fine solution, is not it ?

Sorry but I do not understand your point .

>> Conclusion, it is not possible to import tests and requirements.
still not clear:
is not possibile to import test cases with link to requirements is right sentence (at least for me).

Then we will consider in future releases add this feature
(0004628)
geraud (reporter)
2008-11-14 17:01

>>>>>> Sorry again, for the requirements import, but cut requirements for import is not a fine solution, is not it ?
>>>Sorry but I do not understand your point .

Sorry, you are right, I badly formulated my request!
For import requirement we must cut specification by specification. In fact, I don't see an button for import all project's requirement.

Thanks for your responses and your reactivity.
(0011191)
fman (administrator)
2010-08-31 20:29

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2008-11-14 00:53 geraud New Issue
2008-11-14 02:39 fman Note Added: 0004617
2008-11-14 02:41 fman Note Edited: 0004617
2008-11-14 16:14 geraud Note Added: 0004624
2008-11-14 16:15 geraud Tag Attached: Requirements
2008-11-14 16:15 geraud Tag Attached: Testlink 1.8 RC1
2008-11-14 16:24 geraud Note Added: 0004625
2008-11-14 16:52 fman Note Added: 0004626
2008-11-14 16:53 fman Status new => acknowledged
2008-11-14 17:01 geraud Note Added: 0004628
2008-11-27 03:09 schlundus Severity major => feature request
2009-03-27 15:07 fman Status acknowledged => assigned
2009-03-27 15:07 fman Assigned To => fman
2010-05-20 20:10 fman Status assigned => resolved
2010-05-20 20:10 fman Fixed in Version => 1.9 Beta 5
2010-05-20 20:10 fman Resolution open => fixed
2010-08-31 20:29 fman Note Added: 0011191
2010-08-31 20:29 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker